Vungle Extension [Broken, Help Wanted]

Max Finch

  • *
  • Posts: 2186
Would love it if someone with the knowledge of a thousand monks (and cpp) could get this running for iOS. If it ends up being a hassle I would pay for the trouble.

luismp

  • Posts: 219
+1, I also want this extension to be updated to latest sdk (currently is using an old one) for android and get it also running for ios... like Max i would pay..

Max Finch

  • *
  • Posts: 2186
Still needing and willing to pay for this extension.

Jon

  • *
  • Posts: 17524
Try a cross post in the paid work forum perhaps?

EfrenStudios

  • Posts: 283
Hi George.

Do you recomend vungle over Chartboots?

« Last Edit: May 04, 2015, 08:24:47 am by EfrenStudios »
Everything is good if have pixel art on it...

GeorgeN

  • Posts: 859
Hi George.

Do you recomend vungle over Chartboots?

I use Chartboost and AppLovin in all my non Stencyl projects. You can use both Vungle and Chartboost in the same time with some logic in your game( at 2 game overs use Vungle at 4 games over use Chartboost, reset the counter) or you can put one of them. Earnings differ from game to game and each network has its pros and cons.

Max Finch

  • *
  • Posts: 2186
Anybody know if this extension still works on Android?

luismp

  • Posts: 219
Anybody know if this extension still works on Android?

No, this extension is not working on android ... (for months)

id8games

  • Posts: 205
Just wondering if Vungle is going to be updated for Android, as the current version running Vungle, has a security vulnerability. See below extract from an email I received from "Google Play Developer Support":

Hello Google Play Developer,
We wanted to let you know that your app(s) listed at the end of this email utilize a version of the Vungle ad library that contains a security vulnerability. The vulnerability can enable attackers to launch a man-in-the-middle attack against user devices by proxying network traffic and injecting a payload extracted by the Vungle app. For more information about the vulnerability, please see https://gist.github.com/Fuzion24/6535f8b9dc2a51745173.

Next Steps:
The vulnerability was addressed in Vungle v3.3.0. Please upgrade to Vungle v3.3.0 or higher as soon as possible. To check your Vungle version, you can do a grep search for:

VungleDroid/
The latest version of Vungle can be downloaded from the Vungle website. You can refer to this Vungle help center article for help upgrading. For other technical questions, please use https://www.stackoverflow.com/questions.

To confirm you’ve upgraded correctly, submit the updated version of your app to the Developer Console and check back after five hours to make sure the warning is gone.

While these issues may not affect every app that uses Vungle, it’s best to stay up to date on all security patches. Apps with vulnerabilities that expose users to risk of compromise may be considered dangerous products in violation of the Content Policy and section 4.4 of the Developer Distribution Agreement.

Before publishing an app, make sure it's compliant with the Developer Distribution Agreement and our Content Policies.

If you feel we’ve sent this warning in error, please contact our appeals team through the App Developer help center.

Regards,
The Google Play Team

Affected application(s):
com.id8games.soccer: Soccer Ball Juggle

GeorgeN

  • Posts: 859
Just wondering if Vungle is going to be updated for Android.

Not by me.